<?php
/**
* Letterman Subscriber Module 
* based on the one for Yanc 1.3
*
* @author soeren
* @author Wee Keat Chin
* @Copyright (C) 2004-2005 soeren
* @ All rights reserved
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version 1.1
*
* Email: soeren@virtuemart.net
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
global $my;
/**
 * Configuration
 * ------------------
 */
if( !file_exists($mosConfig_absolute_path . "/components/com_letterman/letterman.php")) {
	echo '<p>This module requires the Letterman component.</p>';
}
else {
	
	if( !@include_once( $mosConfig_absolute_path . "/administrator/components/com_letterman/language/$mosConfig_lang.messages.php" ) ) {
		include_once( $mosConfig_absolute_path . "/administrator/components/com_letterman/language/english.messages.php" );
	}
	require_once( $mosConfig_absolute_path . '/components/com_letterman/letterman.class.php');
	
	// The Text to be shown in front of the Subscribe Form
	$pretext = isset( $params->_params->pretext ) 
						? $params->_params->pretext
						:"Keep yourself updated with our FREE newsletters now!"; 
	
	//1 to limit the number of characters of title, 0 to disable it
	$chars_limit = $params->get( 'chars_limit', 1); 
	
	// used with character limits enabled. the value signifies the number of characters to display
	$chars = intval( $params->get( 'chars', 15) ); 
	
	//to hide the name field, set it to 1
	$hide_name_field = $params->get( 'hide_name_field', 0); 
	$my->load( $my->id );
	$username = ( !empty( $my->name ) ) ? $my->name : $my->username;
	
	?>
	<script type="text/javascript" language="Javascript"><!--
	function changeTask() {
		var name = document.lettermanMod.subscriber_name.value;
		var email;
		var max_length = <?php echo $chars ?>;
		var filter=/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i
		
		if (filter.test(document.lettermanMod.email.value)) {
			email = document.lettermanMod.email.value;
			var a = true;
		} else {
			alert("<?php echo LM_FORM_NOEMAIL ?>");
			var a = true; return false;
		}
		try {
		<?php 
	  	if( !empty($chars_limit) && $hide_name_field=="0" ) { ?>
			if(document.lettermanMod.subscriber_name.length > max_length) {
				alert("<?php echo LM_FORM_SHORTERNAME; ?>");
				return false;
			} 
		<?php
	 	}
	  	if( $hide_name_field=="0" ) { ?>
			if(document.lettermanMod.subscriber_name.length < 1) {
				alert("<?php echo LM_FORM_NONAME ?>");
				return false;
			} 
			<?php
	  	}
	  	?>
		}
		catch(e) {}
		return true;
	} // -->
	</script>
	<?php if( !empty( $pretext)) {
		echo '<p>'. $pretext .'</p>';
	}
	?>
	<style type="text/css">
<!--
.indice {	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
	font-weight: normal;
	text-align:left;
	padding-left: 8px;
	padding-top: 0px;
	color: #003399;
	font-weight: bold;
}
.indice1 {	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
	font-weight: normal;
	text-align:left;
	padding-left: 8px;
	padding-top: 0px;
	color: #003399;
	font-weight: bold;
}
-->
    </style>
	<form method="post" action="<?php echo $mosConfig_live_site ?>/index.php?option=com_letterman" name="lettermanMod">
	  <table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="left" valign="top"><?php
	if($hide_name_field == 1) { ?>
          <span class="smallgrey">
          <label for="label"></label>
          </span></td>
      </tr>
      <tr>
        <td align="left" valign="top"><?php 
	} 
	else { ?><span class="smallgrey"><?php echo _CMN_NAME ; ?></span><span class="indice"><br />
        </span>
          <label>
          <input name="subscriber_name2" type="text" class="inputbox" id="subscriber_name2"value="<?php echo $username; ?>" size="20" />
        </label></td>
      </tr>
      <tr>
        <td align="left" valign="top"><?php 
	}
	?><span class="smallgrey"><?php echo _CMN_EMAIL ; ?><span class="indice1"><br />
        </span></span>
        <input name="email" type="text" class="inputbox" id="email"value="<?php echo $my->email; ?>" size="20" /></td>
      </tr>
      <tr>
        <td align="center" valign="bottom"><p>
          <span class="smallgrey">
          <input type="hidden" name="Itemid" value="<?php echo @$_REQUEST['Itemid'] ?>" />
          <input type="hidden" name="subscriber_name" value="<?php echo !empty( $username) ? $username: "Subscriber"; ?>" />
          </span>
          <input name="submit" type="submit" class="button" onclick="return changeTask();" value="<?php echo LM_BUTTON_SUBMIT ?>" />
          <?php
	}
	?>
        </p>        </td>
      </tr>
    </table>
	</form>	
    